# Class Historique

java.lang.Object
Historique

    public class Historique
    extends java.lang.Object

Classe permettant de sauvegarder les échanges entre deux utilisateurs

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Historique​(Utilisateur User1, Utilisateur User2)` | Constructeur : un historique sauvegarde les echanges entre User1 et User2

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addMessage​(MessageHorodate mh)` | On ajoute un message échangé dans la liste 'HistoriqueHorodate'
`Utilisateur` | `getUser2()` | getter pour recuperer le second utilisateur

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Historique

public Historique​(Utilisateur User1, Utilisateur User2)

Constructeur : un historique sauvegarde les echanges entre User1 et User2

Parameters:
  `User1` - - un utilisateur
  `User2` - - un second utilisateur

## Method Details

### addMessage

public void addMessage​(MessageHorodate mh)

On ajoute un message échangé dans la liste 'HistoriqueHorodate'

Parameters:
  `mh` - - le message horodate échangé

### getUser2

public Utilisateur getUser2()

getter pour recuperer le second utilisateur

Returns:
  l'utilisateur souhaité